<?php
/**
 * @version     1.0.0
 * @package     com_rentals
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Victor <victor@notwebdesign.com> - http://notwebdesign.com
 */

// No direct access
defined('_JEXEC') or die;

/**
 * Rentals helper.
 */
class RentalsHelper
{
	/**
	 * Configure the Linkbar.
	 */
	public static function addSubmenu($vName = '')
	{
		JHtmlSidebar::addEntry(
			JText::_('COM_RENTALS_TITLE_MODELS'),
			'index.php?option=com_rentals&view=models',
			$vName == 'models'
		);
		JHtmlSidebar::addEntry(
			JText::_('COM_RENTALS_TITLE_CARS'),
			'index.php?option=com_rentals&view=cars',
			$vName == 'cars'
		);
		JHtmlSidebar::addEntry(
			JText::_('COM_RENTALS_TITLE_CUSTOMERS'),
			'index.php?option=com_rentals&view=customers',
			$vName == 'customers'
		);
		JHtmlSidebar::addEntry(
			'Categories (Customers - Customer Category)',
			"index.php?option=com_categories&extension=com_rentals.customers.customer_category",
			$vName == 'categories.customers'
		);
		
if ($vName=='categories.customers.customer_category') {			
JToolBarHelper::title('Rentals: Categories (Customers - Customer Category)');		
}		JHtmlSidebar::addEntry(
			JText::_('COM_RENTALS_TITLE_RENTALS'),
			'index.php?option=com_rentals&view=rentals',
			$vName == 'rentals'
		);

	}

	/**
	 * Gets a list of the actions that can be performed.
	 *
	 * @return	JObject
	 * @since	1.6
	 */
	public static function getActions()
	{
		$user	= JFactory::getUser();
		$result	= new JObject;

		$assetName = 'com_rentals';

		$actions = array(
			'core.admin', 'core.manage', 'core.create', 'core.edit', 'core.edit.own', 'core.edit.state', 'core.delete'
		);

		foreach ($actions as $action) {
			$result->set($action, $user->authorise($action, $assetName));
		}

		return $result;
	}
}
