<?php
/**
 * @version     1.0.0
 * @package     com_rentals
 * @copyright   Copyright (C) 2013. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Victor <victor@notwebdesign.com> - http://notwebdesign.com
 */
// no direct access
defined('_JEXEC') or die;

JHtml::addIncludePath(JPATH_COMPONENT . '/helpers/html');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');
JHtml::_('behavior.keepalive');

// Import CSS
$document = JFactory::getDocument();
$document->addStyleSheet('components/com_rentals/assets/css/rentals.css');
?>
<script type="text/javascript">
    js = jQuery.noConflict();
    js(document).ready(function(){
        
	js('input:hidden.customer').each(function(){
		var name = js(this).attr('name');
		if(name.indexOf('customerhidden')){
			js('#jform_customer option[value="'+js(this).val()+'"]').attr('selected',true);
		}
	});
	js("#jform_customer").trigger("liszt:updated");
	js('input:hidden.car').each(function(){
		var name = js(this).attr('name');
		if(name.indexOf('carhidden')){
			js('#jform_car option[value="'+js(this).val()+'"]').attr('selected',true);
		}
	});
	js("#jform_car").trigger("liszt:updated");
    });
    
    Joomla.submitbutton = function(task)
    {
        if(task == 'rental.cancel'){
            Joomla.submitform(task, document.getElementById('rental-form'));
        }
        else{
            
            if (task != 'rental.cancel' && document.formvalidator.isValid(document.id('rental-form'))) {
                
                Joomla.submitform(task, document.getElementById('rental-form'));
            }
            else {
                alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED')); ?>');
            }
        }
    }
</script>

<form action="<?php echo JRoute::_('index.php?option=com_rentals&layout=edit&id=' . (int) $this->item->id); ?>" method="post" enctype="multipart/form-data" name="adminForm" id="rental-form" class="form-validate">
    <div class="row-fluid">
        <div class="span10 form-horizontal">
            <fieldset class="adminform">

                			<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('id'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('id'); ?></div>
			</div>
			<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('state'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('state'); ?></div>
			</div>
			<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('created_by'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('created_by'); ?></div>
			</div>
			<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('customer'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('customer'); ?></div>
			</div>

			<?php
				foreach((array)$this->item->customer as $value): 
					if(!is_array($value)):
						echo '<input type="hidden" class="customer" name="jform[customerhidden]['.$value.']" value="'.$value.'" />';
					endif;
				endforeach;
			?>			<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('car'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('car'); ?></div>
			</div>

			<?php
				foreach((array)$this->item->car as $value): 
					if(!is_array($value)):
						echo '<input type="hidden" class="car" name="jform[carhidden]['.$value.']" value="'.$value.'" />';
					endif;
				endforeach;
			?>			<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('employee'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('employee'); ?></div>
			</div>
			<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('star_date'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('star_date'); ?></div>
			</div>
			<div class="control-group">
				<div class="control-label"><?php echo $this->form->getLabel('end_date'); ?></div>
				<div class="controls"><?php echo $this->form->getInput('end_date'); ?></div>
			</div>


            </fieldset>
        </div>

        

        <input type="hidden" name="task" value="" />
        <?php echo JHtml::_('form.token'); ?>

    </div>
</form>